Sets the depth of a particular image channel

- « Gmagick::setimagebordercolor

- Gmagick::setimagecolorspace »

- PHP Manual
- Gmagick
- Sets the depth of a particular image channel

# Gmagick::setimagechanneldepth

(PECL gmagick >= Unknown)

Gmagick::setimagechanneldepth — Sets the depth of a particular image channel

### Description

public Gmagick::setimagechanneldepth(int `$channel`, int `$depth`): Gmagick

Sets the depth of a particular image channel.

### Parameters

`channel`

  One of the Channel constant (`Gmagick::CHANNEL_*`).

`depth`

  The image depth in bits.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.